## usplash 0.1-22

=== Makefile ===
LIBS = -lc
LIB = libbogl.a
DEVLINK = libbogl.so
SONAME = libbogl.so.0
SHARED_LIB = libbogl.so.0.1

CFLAGS = -Os -g -D_GNU_SOURCE
WARNCFLAGS += -Wall -D_GNU_SOURCE
ALLCFLAGS = $(CFLAGS) $(WARNCFLAGS) $(FBCFLAGS)

architecture := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)

LIBOBJECTS = $(LIBBOGLOBJECTS) $(LIBBOMLOBJECTS) $(LIBBOWLOBJECTS)	\
	$(LIBRSRCOBJECTS)
LIBBOGLOBJECTS = bogl.o bogl-font.o
LIBBOMLOBJECTS = arrow.o boml.o
LIBRSRCOBJECTS = helvB10.o
ARTWORK = usplash-artwork.so

SOURCES_DEP = arrow.c bdftobogl.c bogl-cfb.c bogl-cfb.h bogl-cfb8.c	\
bogl-cfb8.h bogl-font.c bogl-font.h bogl-pcfb.c bogl-pcfb.h		\
bogl-tcfb.c bogl-tcfb.h bogl-test.c bogl.c bogl.h boglP.h boml.c	\
boml.h pngtobogl.c usplash.c

ifeq (,)
	FBCFLAGS += -DBOGL_CFB_FB=1
	LIBBOGLOBJECTS += bogl-cfb.o bogl-pcfb.o bogl-tcfb.o
endif

ifneq (,$(filter i386 i486 arm ia64 x86_64,$(architecture)))
	FBCFLAGS += -DBOGL_VGA16_FB=1
	LIBBOGLOBJECTS += bogl-vga16.o
	SOURCES_DEP += bogl-vga16.c bogl-vga16.h
endif

OBJECTS = $(LIBOBJECTS)

GENERATED = helvB10.c helvB12.c helvR10.c timBI18.c usplash-artwork.c

#		 libutf8/libutf8_plug.so unifont-reduced.bgf
all:    depend $(SHARED_LIB) $(LIB) usplash bdftobogl reduce-font usplash-default.so

usplash-default.so: $(ARTWORK)
	cp $(ARTWORK) usplash-default.so

%.lo: %.c
	$(CC) $(ALLCFLAGS) -o $@ -fPIC -c $<

%.o: %.c
	$(CC) $(ALLCFLAGS) -o $@ -c $<

$(SHARED_LIB): $(OBJECTS:%.o=%.lo)
	$(CC) -shared -Wl,-soname,$(SONAME) -o $(SHARED_LIB) $(OBJECTS:%.o=%.lo)

reduce-font: reduce-font.c

$(LIB): $(OBJECTS)
	rm -f $(LIB)
	ar rcs $(LIB) $(OBJECTS)

bogl-test: $(LIB) bogl-test.c tux75.o
	$(CC) $(ALLCFLAGS) -o bogl-test bogl-test.c tux75.o $(LIB)

bdftobogl: $(LIBBOGLOBJECTS)
%.c: %.bdf bdftobogl
	./bdftobogl $< > $@

pngtobogl: pngtobogl.o
	$(CC) $(ALLCFLAGS) -o pngtobogl pngtobogl.o -lgd -lpng -lm

%.c: %.png pngtobogl
	./pngtobogl $< > $@

depend: .depend
.depend: $(SOURCES_DEP)
	$(CPP) $(ALLCFLAGS) -M $(SOURCES_DEP) > .depend

clean: 
	rm -rf reduce-font bterm bdftobogl pngtobogl *.o $(GENERATED) *-test lang.h tmp.*.c $(LIB) unifont-reduced.bgf unifont-reduced.bdf usplash usplash_write
	rm -f $(OBJECTS:%.o=%.lo) $(SHARED_LIB)
	rm -f $(ARTWORK) usplash-default.so
	rm -f .depend

distclean: clean
	rm -f $(LIB) .depend *~ .nfs*

force:

ifeq (.depend,$(wildcard .depend))
include .depend
endif

%.so: %.lo
	$(CC) -shared -Wl,-soname,$@ $< -o $@

usplash: libbogl.a usplash.c usplash_write.c 
	$(CC) $(ALLCFLAGS) usplash.c -o usplash libbogl.a -ldl
	$(CC) $(ALLCFLAGS) -o usplash_write usplash_write.c

install: all
	install -m644 usplash-default.so $(DESTDIR)/usr/lib/usplash
	install -m755 usplash usplash_write $(DESTDIR)/sbin

=== debian/changelog ===
usplash (0.1-22) breezy; urgency=low

  * debian/init:
    - if we end up in vt8 when usplash stop is called assume usplash
      timed out and reset the fonts and switch to vt1

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  7 Oct 2005 15:10:32 +0200

usplash (0.1-21) breezy; urgency=low

  * Rapid fire uploads are FUN; fix the version compare in postinst.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun,  2 Oct 2005 16:42:54 +1000

usplash (0.1-20) breezy; urgency=low

  * Fix a bad cut-n-paste from my earlier broken alternative fix, argh.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun,  2 Oct 2005 16:40:18 +1000

usplash (0.1-19) breezy; urgency=low

  * Fix the broken usplash-artwork.so alternative once and for all, so old
    installations that got set to manual due to a broken link are fixed.
  * Tidy up the init script a bit more, commenting out my attempt to turn
    off the console cursor for a pure black screen (this worked, but only
    for a split-second, and then it's back while gdm is launching, so it's
    uglier than just leaving the cursor on)
  * chvt BACK to vt1 after we run console-screen.sh, so GDM picks up vt1 as
    its parent vt, and stopping GDM doesn't land you in the disabled vt8

 -- Adam Conrad <adconrad@ubuntu.com>  Sun,  2 Oct 2005 02:32:04 +1000

usplash (0.1-18) breezy; urgency=low

  * Do the clear and chvt BEFORE attempting to kill usplash, not after,
    which should clear up still more annoying text flicker.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat,  1 Oct 2005 08:02:52 +1000

usplash (0.1-17) breezy; urgency=low

  * debian/init:
    - clear tty1 before chvt (avoid flickering before gdm is started)
      (ubuntu #16622)
  * initramfs/scripts/init-top/usplash:
    - mknod tty0-tty8, tty8 is the terminal that usplash -c switches to

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Sep 2005 12:27:25 +0200

usplash (0.1-16) breezy; urgency=low

  * Add background for the progress bar
  * Work with vesafb

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 29 Sep 2005 21:38:53 +0100

usplash (0.1-15) breezy; urgency=low

  * make the usplash_quit() function more robust 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Sep 2005 15:35:15 +0200

usplash (0.1-14) breezy; urgency=low

  * Fix lack of quoting in the init script

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 28 Sep 2005 17:14:16 +0100

usplash (0.1-13) breezy; urgency=low

  * Use /usr/lib, not /usr/share for the alternative in the postinst.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 28 Sep 2005 09:16:10 -0400

usplash (0.1-12) breezy; urgency=low

  * debian/control: Add sparc to build targets.

  * initramfs/scripts/init-premount: Rename to ...
  * initramfs/scripts/init-top: ... this.
  * debian/rules: Update.

  * initramfs/scripts/init-top/usplash: Make /dev/tty0.

  * debian/dirs: Add /usr/lib/usplash

  * ubuntu.png: Rename to ...
  * usplash-artwork.png: ... this.

  * Makefile: Generate dynamically loadable artwork.
  * debian/postinst: Set alternative for artwork.
  * debian/prerm: Remove alternative for artwork.
  * usplash.c: Use the loadable artwork.

  * initramfs/hooks/usplash: Use copy_exec instead of install.
    Include artwork.

  * initramfs/modules.d/usplash: Remove empty file.

 -- Jeff Bailey <jbailey@ubuntu.com>  Tue, 27 Sep 2005 14:03:20 -0400

usplash (0.1-11) breezy; urgency=low

  * debian/init:
    - added init script that quits usplash at the end of the boot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Sep 2005 15:58:20 +0200

usplash (0.1-10) breezy; urgency=low

  * Fix bogus assertions, thanks to Colin Watson

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  8 Sep 2005 02:45:41 -0700

usplash (0.1-9) breezy; urgency=low

  * Implement bogl_move for cfb, thereby porting to powerpc.
  * Draw everything in a 640x480 window in the centre of the framebuffer, no
    matter how large the framebuffer is.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  8 Sep 2005 00:28:54 +0100

usplash (0.1-8) breezy; urgency=low

  * New artwork, change colour 0 to be black
  * Basic linewrapping support
  * Add support for setting the timeout on the fly

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu,  1 Sep 2005 17:11:48 +0100

usplash (0.1-7) breezy; urgency=low

  * When cleaning up to exit, switch back to the original VT only if we
    switched the VT *and* we're still on the VT to which we switched

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 31 Aug 2005 17:20:10 -0700

usplash (0.1-6) breezy; urgency=low

  * Remove extra #define DEBUG that broke the build

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 29 Aug 2005 21:42:36 +0100

usplash (0.1-5) breezy; urgency=low

  * Add new, exciting, beautiful artwork
  * Improve support for sending multiple commands in quick succession

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 29 Aug 2005 20:10:48 +0100

usplash (0.1-4) breezy; urgency=low

  * Support /dev migration from initramfs correctly
  * Fix text moving

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 25 Aug 2005 20:05:15 +0100

usplash (0.1-3) breezy; urgency=low

  * Remove unnecessary chmod (Ubuntu #13873)
  * Include modules without autoloading them (Ubuntu #13980)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 25 Aug 2005 09:38:41 +0100

usplash (0.1-2) breezy; urgency=low

  * Change the usplash initramfs script name to avoid having a hyphen
    in an environment variable
  * Integrate with initramfs

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 10 Aug 2005 00:26:07 +0100

usplash (0.1-1) breezy; urgency=low

  * Initial Release.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 29 Jul 2005 19:49:19 +0100

=== debian/control ===
Source: usplash
Section: universe/misc
Priority: standard
Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
Build-Depends: debhelper (>= 4.0.0), libgd2-dev, libpng-dev
Standards-Version: 3.6.1

Package: usplash
Architecture: i386 amd64 powerpc sparc
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.15)
Description: Userspace bootsplash utility
 Usplash is a userspace application that uses the Linux framebuffer interface
 to draw a splash screen at boot. It has a companion utility that is able to
 send commands to usplash, allowing information about the bootup sequence to
 be displayed in a more attractive way.

## usplash 0.2-4

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 SONAME = libbogl.so.0
 SHARED_LIB = libbogl.so.0.1
 
-CFLAGS = -Os -g -D_GNU_SOURCE
+CFLAGS =  -g -D_GNU_SOURCE
 WARNCFLAGS += -Wall -D_GNU_SOURCE
 ALLCFLAGS = $(CFLAGS) $(WARNCFLAGS) $(FBCFLAGS)
 
@@ -99,4 +99,4 @@
 
 install: all
 	install -m644 usplash-default.so $(DESTDIR)/usr/lib/usplash
-	install -m755 usplash usplash_write $(DESTDIR)/sbin
+	install -m755 usplash usplash_write usplash_down $(DESTDIR)/sbin

=== debian/changelog ===
usplash (0.2-4) dapper; urgency=low

  * New artwork.
  * Don't hard-code the palette index of the scrolling text.
  * Build-depend on libgd-xpm-dev instead of the transitional libgd-dev
    package.  Ubuntu: #28918.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 18 May 2006 05:50:00 +0100

usplash (0.2-3) dapper; urgency=low

  * Stop loading framebuffer modules in our initramfs script, and instead
    prereq on the "framebuffer" script from initramfs-tools, which will
    do the heavy lifting for us.  Also, bump dependency accordingly.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 May 2006 20:11:00 +1000

usplash (0.2-2) dapper; urgency=low

  * Revert artwork to 0.1-36, Frank was asked to provide better artwork
    over the weekend but instead appears to have spent the weekend working
    on a text-less version which we already said was not going to make
    dapper.

    Don't expect this to be the last change before Dapper is released.

 -- Scott James Remnant <scott@ubuntu.com>  Sun, 14 May 2006 18:02:09 +0100

usplash (0.2-1) dapper; urgency=low

  * New artwork

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 11 May 2006 17:20:54 -0700

usplash (0.1-36) dapper; urgency=low

  * add hppa to architecture list

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 10 May 2006 15:10:14 -0600

usplash (0.1-35) dapper; urgency=low

  * Reverted previous patch.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 19 Apr 2006 10:13:57 +0100

usplash (0.1-34) dapper; urgency=low

  * When we are killed by SIGTERM, shut down gracefully, but don't switch VTs
    (workaround for Malone #34537)
    - This means that we fall back to text mode at the end of the shutdown
      sequence, rather than concealing messages (especially the casper
      prompt to press enter)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 18 Apr 2006 08:52:34 -0700

usplash (0.1-33) dapper; urgency=low

  * Build on ia64 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 20 Mar 2006 00:40:30 +0000

usplash (0.1-32) dapper; urgency=low

  * Allow PROGRESS to accept negative progress counts and paint these
    with the foreground and background swapped.

 -- Paul Sladen <ubuntu@paul.sladen.org>  Thu, 09 Mar 2006 17:29:44 +0000

usplash (0.1-31) dapper; urgency=low

  * Include a new command, /usr/sbin/usplash_down that can be called by
    display managers on shutdown/reboot to invoke usplash for shutdown.
  * Institute a hack to remove usplash's timeout in usplash_down, and
    reset it back to 15 in our init script's stop target, to avoid timing
    out when init's "Sending processes the TERM signal" takes too long.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Feb 2006 12:00:29 +1100

usplash (0.1-30) dapper; urgency=low

  * The initramfs state directory is moving to /dev/.initramfs, by
    popular demand, so move our FIFO and log again, and bump dep.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon,  9 Jan 2006 21:20:16 +1100

usplash (0.1-29) dapper; urgency=low

  * Move our fifo and log file to /dev/initramfs, to avoid /dev clutter.
  * Bump initramfs-tools dependency to guarantee /dev/initramfs is there.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon,  9 Jan 2006 11:33:44 +1100

usplash (0.1-28) dapper; urgency=low

  * Handle the case of the fifo filling up completely a bit better.
  * Make TIMEOUT 0 mean "no timeout"

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 05 Jan 2006 04:33:51 +0100

usplash (0.1-27) dapper; urgency=low

  * Move our right edge over to account for the SUCCESS/FAILURE move, so
    scrolling works correctly with long failure messages (Ubuntu #20911)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 13 Dec 2005 13:15:41 +1100

usplash (0.1-26) dapper; urgency=low

  * Replace artwork with a mangled version of the breezy artwork to look
    a little bit better in preparation for flight-2 defaulting to 640x400
  * Move the SUCCESS/FAILURE area to the right 30 pixels, to align better.
  * Move the text area around a bit to give us 10 useable lines.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 12 Dec 2005 17:45:44 +1100

usplash (0.1-25) dapper; urgency=low

  * Fix our calculation of top_edge in usplash.c to assume
    we're using a 640x400 console as a minimum, not 640x480.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 11 Dec 2005 00:03:01 +1100

usplash (0.1-24) dapper; urgency=low

  * Don't use more than 640x400
  * Update initramfs after install
  * Add temporary artwork

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 29 Nov 2005 16:12:29 +0000

usplash (0.1-23) dapper; urgency=low

  * Use modprobe to load modules

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 28 Nov 2005 03:31:52 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Standards-Version: 3.6.1
 
 Package: usplash
-Architecture: i386 amd64 powerpc sparc
-Depends: ${shlibs:Depends}, initramfs-tools (>= 0.15)
+Architecture: i386 amd64 powerpc sparc ia64 hppa
+Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30)
 Description: Userspace bootsplash utility
  Usplash is a userspace application that uses the Linux framebuffer interface
  to draw a splash screen at boot. It has a companion utility that is able to

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/usplash.sgml > usplash.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/usplash.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/usplash
	mkdir -p $(CURDIR)/debian/usplash/usr/share/initramfs-tools
	cp -a initramfs/* $(CURDIR)/debian/usplash/usr/share/initramfs-tools 
	chmod a+x $(CURDIR)/debian/usplash/usr/share/initramfs-tools/scripts/init-top/*


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	# install the init script that will kill usplash
	dh_installinit -r --no-start -- start 98 2 3 4 5 . stop 01 0 1 6 .
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## usplash 0.3e

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall
LDFLAGS=
CPPFLAGS=-D_GNU_SOURCE
INCLUDES=-Ibogl

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755


TARGETS = usplash usplash_write

all: bogl $(TARGETS)


usplash_OBJECTS = usplash.o usplash-testcard.o usplash-testcard-theme.o
usplash_LIBS = bogl/libbogl.a

usplash: $(usplash_OBJECTS) $(usplash_LIBS)
	$(LINK) -o $@ $^ -ldl


usplash_write_OBJECTS = usplash_write.o

usplash_write: $(usplash_write_OBJECTS)
	$(LINK) -o $@ $^


bogl:
	$(MAKE) -C bogl


.c.o:
	$(COMPILE) -o $@ -c $<

.png.c:
	./bogl/pngtobogl $< > $@

.bdf.c:
	./bogl/bdftobogl $< > $@


install:
	$(INSTALL_PROGRAM) usplash $(DESTDIR)/sbin
	$(INSTALL_PROGRAM) usplash_write $(DESTDIR)/sbin

clean:
	-$(MAKE) -C bogl clean
	-rm -f $(TARGETS) $(usplash_OBJECTS) $(usplash_write_OBJECTS)
	-rm -f *~


.PHONY: all bogl install clean
.SUFFIXES: .png .bdf

=== bogl/Makefile ===
LIBS = -lc
LIB = libbogl.a
DEVLINK = libbogl.so
SONAME = libbogl.so.0
SHARED_LIB = libbogl.so.0.1

CFLAGS = -O2 -g -D_GNU_SOURCE
WARNCFLAGS += -Wall -D_GNU_SOURCE
ALLCFLAGS = $(CFLAGS) $(WARNCFLAGS) $(FBCFLAGS)

architecture := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

LIBOBJECTS = $(LIBBOGLOBJECTS) $(LIBBOMLOBJECTS) $(LIBBOWLOBJECTS)	\
	$(LIBRSRCOBJECTS)
LIBBOGLOBJECTS = bogl.o bogl-font.o
LIBBOMLOBJECTS = arrow.o boml.o
LIBBOWLOBJECTS = bowl.o symbol.o
LIBRSRCOBJECTS = helvB10.o helvB12.o helvR10.o timBI18.o tux75.o

SOURCES_DEP = arrow.c bdftobogl.c bogl-cfb.c bogl-cfb.h bogl-cfb8.c	\
bogl-cfb8.h bogl-font.c bogl-font.h bogl-pcfb.c bogl-pcfb.h		\
bogl-tcfb.c bogl-tcfb.h bogl-test.c bogl.c bogl.h boglP.h boml.c	\
boml.h bowl-boxes.c bowl.c bowl.h pngtobogl.c

ifeq (,)
	FBCFLAGS += -DBOGL_CFB_FB=1
	LIBBOGLOBJECTS += bogl-cfb.o bogl-pcfb.o bogl-tcfb.o
endif

ifneq (,$(filter i386 i486 arm ia64 amd64,$(architecture)))
	FBCFLAGS += -DBOGL_VGA16_FB=1
	LIBBOGLOBJECTS += bogl-vga16.o
	SOURCES_DEP += bogl-vga16.c bogl-vga16.h
endif

OBJECTS = $(LIBOBJECTS) bowl-boxes.o

GENERATED = helvB10.c helvB12.c helvR10.c timBI18.c tux75.c

#		 libutf8/libutf8_plug.so unifont-reduced.bgf
all:    depend $(SHARED_LIB) $(LIB) bterm bdftobogl reduce-font

%.lo: %.c
	$(CC) $(ALLCFLAGS) -o $@ -fPIC -c $<

%.o: %.c
	$(CC) $(ALLCFLAGS) -o $@ -c $<

$(SHARED_LIB): $(OBJECTS:%.o=%.lo)
	$(CC) -shared -Wl,-soname,$(SONAME) -o $(SHARED_LIB) $(OBJECTS:%.o=%.lo)

# unifont-reduced.bgf: bdftobogl unifont-reduced.bdf
#	./bdftobogl -b unifont-reduced.bdf > unifont-reduced.bgf

# unifont-reduced.bdf: ../bf-utf/unifont.bdf ../all.utf libutf8/libutf8_plug.so reduce-font
#	LD_PRELOAD=./libutf8/libutf8_plug.so LC_CTYPE=C.UTF-8 ./reduce-font $< < ../all.utf > $@

# ../all.utf: ../po.utf ../rn.utf $(xml_files)
#	cat $^ > $@

# ../po.utf:
#	$(MAKE) -C ../dbootstrap/po all-po-utf
#	cat ../dbootstrap/po/utf/*.po > $@

# ../rn.utf:
#	$(MAKE) RN_TARGET_DIR=. -C ../../scripts/rootdisk/messages install-utf
#	cat ../../scripts/rootdisk/messages/release_notes.* > $@

reduce-font: reduce-font.c

$(LIB): $(OBJECTS)
	rm -f $(LIB)
	ar rcs $(LIB) $(OBJECTS)

bogl-test: $(LIB) bogl-test.c tux75.o
	$(CC) $(ALLCFLAGS) -o bogl-test bogl-test.c tux75.o $(LIB)

bowl-boxes: $(LIB)
	$(CC) -DSTANDALONE_TEST $(ALLCFLAGS) bowl-boxes.c $(LIBOBJECTS) -o bowl-boxes

bterm: $(LIB) bterm.o bogl-term.o bogl-bgf.o
	$(CC) $+ $(LIB) -o bterm

bdftobogl: $(LIBBOGLOBJECTS)
%.c: %.bdf bdftobogl
	./bdftobogl $< > $@

pngtobogl: pngtobogl.o
	$(CC) $(ALLCFLAGS) -o pngtobogl pngtobogl.o -lgd -lpng -lm
%.c: %.png pngtobogl
	./pngtobogl $< > $@

depend: .depend
.depend: $(SOURCES_DEP)
	$(CPP) $(ALLCFLAGS) -M $(SOURCES_DEP) > .depend

clean: 
	rm -rf reduce-font bterm bdftobogl pngtobogl *.o $(GENERATED) *-test lang.h tmp.*.c bowl-boxes $(LIB) unifont-reduced.bgf unifont-reduced.bdf
	rm -f $(OBJECTS:%.o=%.lo) $(SHARED_LIB)
	rm -f .depend

distclean: clean
	rm -f $(LIB) .depend *~ .nfs*

force:

ifeq (.depend,$(wildcard .depend))
include .depend
endif

install: all
	install -d $(DESTDIR)/usr/lib $(DESTDIR)/usr/include/bogl $(DESTDIR)/usr/bin
	install -m644 $(SHARED_LIB) $(DESTDIR)/usr/lib/$(SHARED_LIB)
	ln -s $(SHARED_LIB) $(DESTDIR)/usr/lib/$(DEVLINK)
	ln -s $(SHARED_LIB) $(DESTDIR)/usr/lib/$(SONAME)
	install -m644 $(LIB) $(DESTDIR)/usr/lib/$(LIB)
	install -m644 *.h $(DESTDIR)/usr/include/bogl
	install -m755 bdftobogl mergebdf bterm pngtobogl reduce-font $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/terminfo
	tic -o$(DESTDIR)/usr/share/terminfo bterm.ti

=== debian/changelog ===
usplash (0.3e) unstable; urgency=low

  * Add 05-usplash_write-quiet.patch from Petter Reinholdtsen
    <pere@hungry.com>. Gets rid of error messages on splash=false boots.

 -- maximilian attems <maks@sternwelten.at>  Fri,  4 Aug 2006 10:04:59 +0200

usplash (0.3d) unstable; urgency=low

  * Add 03-bogl-no-PAGESIZE.patch to the patches/series file to really fix
    the powerpc ftbfs.
  * bogl/Makefile: Ease sarge backports, build with DEB_BUILD_ARCH in
    04-blog-dpkg-arg.patch. Thanks Petter Reinholdtsen <pere@hungry.com>.
    (closes: 380745)
  * debian/usplash.init: Workaround missing ubuntu gdm patches. Call usplash
    in init stop. Thanks Petter Reinholdtsen <pere@hungry.com>.
    (closes: 381009)

 -- maximilian attems <maks@sternwelten.at>  Wed,  2 Aug 2006 09:28:22 +0200

usplash (0.3c) unstable; urgency=low

  * debian/usplash.postinst: Readd rm_default_artwork for migration from ubuntu.
  * Add 03-bogl-no-PAGESIZE.patch. (closes: 380618)

 -- maximilian attems <maks@sternwelten.at>  Mon, 31 Jul 2006 23:56:26 +0200

usplash (0.3b) unstable; urgency=low

  * debian/copyright: Add notice about .bdf files.

 -- maximilian attems <maks@sternwelten.at>  Sun, 30 Jul 2006 21:50:42 +0200

usplash (0.3a) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Initial upload to Debian (Closes: #356193)
  * usplash_write.c: Fix typo in fifo write code, 00-ssize-typo.patch.
  * usplash.c: Improve error messages when usplash fail to start,
    01-bogl-error.patch.
  * usplash.h: Improve comment for USPLASH_FIFO, 02-header-comment.patch.
  * Make sure postrm call update-rc.d to remove the init.d script.

  [ maximilian attems ]
  * Add the Debian kernel team as Maintainer. Petter and myself as Uploaders.
  * Add versioned dependency to initramfs-tools 0.72, which adds the fb boot
    scripts.
  * Standards-Version 3.7.2.0 without needed changes.
  * debian/copyright: Add pointer to latest Ubuntu release, small rephrasing.
  * Use a Debian version string, as there is no separate archive.
  * debian/usplash.postinst: Check if update-initramfs is really installed.
    Remove old unused rm_default_artwork().
  * debian/usplash.postrm: Check if update-initramfs is really installed.
  * debian/patches: Split out Petter's changes as patches.
  * debian/rules: Add quilt handling for the patches.
  * debian/control: Add quilt build dependency.
  * .bzr, bogl/.cvsignore: Remove version control stuff in source package.
  * Add lsb-base-logging-ubuntu.sh from ubuntu lsb (3.1-10ubuntu2).
  * debian/rules: Install lsb-base-logging.sh.
  * usplash.lintian: Add lintian override for /etc/lsb-base-logging.sh,
    Debian lsb-base allows to set there the lsb functions.
  * debian/rules: Install lintian override.
  * debian/control: Provides bootsplash as discussed with otavio.

 -- maximilian attems <maks@sternwelten.at>  Sat, 29 Jul 2006 17:16:04 +0200

usplash (0.3-4) edgy; urgency=low

  * Check ENXIO not ENODEV.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 22 Jun 2006 11:33:05 +0200

usplash (0.3-3) edgy; urgency=low

  * Don't print the "No such device or address" warning if usplash is not
    running.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 21 Jun 2006 12:30:57 +0200

usplash (0.3-2) edgy; urgency=low

  * Updated test card to new "B" image, which has the following features:
    * The palette is no longer VGA so we can detect hardware that ignores
      the supplied palette
    * Palette index 0, and the general background colour, is no longer
      black so we can detect hardware that fills extra space with either
      index 0 or hardware black.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 20 Jun 2006 13:19:27 +0200

usplash (0.3-1) edgy; urgency=low
  
  * Updated bogl against the latest source, while maintaining our errant
    bogl_move branch.
  * Rearrange source tree so that bogl is in a sub-directory and not mixed
    in with the usplash code.

  * Take the opportunity to clean up the rest of the source somewhat.
  * Throw in a couple of manpages.
  
  * Build-in new default theme, the Ubuntu artwork should be shipped in an
    appropriate package.
  * Artwork .so files should now provide a usplash_theme structure listing
    all the palette indexes and interesting co-ordinates/sizes.  Largely
    based on a patch from Dennis Kaarsemaker.
  
 -- Scott James Remnant <scott@ubuntu.com>  Tue,  6 Jun 2006 13:16:23 +0100

=== debian/control ===
Source: usplash
Priority: optional
Section: misc
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, maximilian attems <maks@sternwelten.at>
Standards-Version: 3.7.2.0
Build-Depends: debhelper (>= 4.0.0), quilt, libgd2-dev, libpng-dev

Package: usplash
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.71)
Provides: bootsplash
Description: Userspace bootsplash utility
 Usplash is a userspace application that uses the Linux framebuffer interface
 to draw a splash screen at boot. It has a companion utility that is able to
 send commands to usplash, allowing information about the bootup sequence to
 be displayed in a more attractive way.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the usplash package.
# Copyright © 2006 Canonical Ltd.
# Author: Scott James Remnant <scott@ubuntu.com>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

CFLAGS = -g -Wall

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

patch: patch-stamp
patch-stamp:
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	touch patch-stamp

unpatch:
	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
	rm -rf .pc patch-stamp


# Build the package
build: build-stamp
build-stamp: patch-stamp
	dh_testdir

	$(MAKE)

	touch $@

# Install files
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install

	$(MAKE) install DESTDIR=$(CURDIR)/debian/usplash

	# Ship initramfs hooks and scripts
	install -d $(CURDIR)/debian/usplash/usr/share/initramfs-tools
	cp -a initramfs/* $(CURDIR)/debian/usplash/usr/share/initramfs-tools 
	chmod a+x $(CURDIR)/debian/usplash/usr/share/initramfs-tools/scripts/init-top/*
	install -d $(CURDIR)/debian/usplash/etc
	install $(CURDIR)/debian/lsb/lsb-base-logging-ubuntu.sh \
		$(CURDIR)/debian/usplash/etc/lsb-base-logging.sh
	install -d $(CURDIR)/debian/usplash/usr/share/lintian/overrides
	install -m 0644 $(CURDIR)/debian/usplash.lintian \
		$(CURDIR)/debian/usplash/usr/share/lintian/overrides/usplash

binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_installinit -r --no-start -- start 98 2 3 4 5 . stop 01 0 1 6 .
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Clean up the mess we made
clean: unpatch
	dh_testdir
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean patch-stamp


.PHONY: build install binary-indep binary-arch binary clean patch-stamp unpatch
